Subject: RE: [mobile-ip] Re: hmip and mobile routers

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 8 Mar 2001 01:01:37 +0100

I think we agree that the two drafts are solving two different
	scenarios for the same problem.

> This question is addressed in my draft "Mobile Networks Support in
> Mobile" IPv6
> (http://search.ietf.org/internet-drafts/draft-ernst-mobileip-v6-network-01.txt).    
> 
> In this draft, the mobility of the network is completely transparent to
> all nodes located in the mobile network.     Following your instance,
> the train is a mobile network and the gateway between the train and the
> Internet is a mobile router.    The Mobile Router obtains a new care-of
> address at each new point of attachment to the Internet.    There are
> basically 2 kinds of nodes in this mobile network:  permanently fixed
> ones (TV screens, sensors, on-board computers, seats, ...) and mobile
> ones.    Mobile ones may be composed of those belonging to the train
> (the ticket-collector ?), and some entering and leaving the train
> (Passengers, PDAs, Mobile Phones).
> 
> In this proposal, Passengers get a care-of address when they enter the
> train (obvious), but they don't need to acquire a new care-of address
> every time the train is reachable from a new care-of address.     IP
> mobility of the network is therefore hidden to them.
> 
> I do see a benefit for Passengers to operate HMIP.   In this case, the
> MAP would be located in the Mobile Router.
> 
	=> The benefit is receiving route optimised packets. Having 
	said that, not every device on earth will have a MIP implementation
	so as I said earlier, this is valid fo devices that are fixed. 
	However for MNs other optimisations in HMIPv6 are proposed.

> I agree with Mickael that the HMIP draft does not elaborate much about
> this special case, but I must also advocate that it is not the object of
> the HMIP draft to discuss about it.   As I see it, the HMIP draft only
> outline one instance where HMIP could be used: mobile nodes visiting a
> mobile network and I agree with this.   
> 
	=> We do support both for "HMIP MNs or routers". 

	Regards,
	Hesham

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 08 Mar 2001 10:23:20 -0600

Hesham and Michael,
  My suggestion is to drop the part on mobile routers in
hmipv6. This may clear the way for a separate RFC on mobile routers, probably based
on Thierry's I-D. I think that the extended mode of hmipv6 could still stand.

--behcet